#include<iostream>
#define MAX 10000000

using namespace std;

int indeksi(int ,int ,int [],int []);

int main(void)
{
    long int n,k,brojac = 0;

    cin>>n>>k;

    int niz[MAX],indeks[MAX],niz2[MAX];

    for(int i=0;i<n;++i)
        cin>>niz[i];

    for(int i=0;i<n;++i)
        if(indeksi(n,niz[i],indeks,niz)>=k)
            if(indeks[0] == i){
            niz2[brojac] = niz[indeks[0]];
            brojac++;}

        cout<<brojac<<endl;
     for(int i=0;i<brojac;++i)
                cout<<niz2[i]<<" ";

    return 0;
}
int indeksi (int n,int broj, int i[],int a[])
{
    int brojac=0;
    for(int *p=a,*q=i;p<a+n;p++){
        if((*p)==broj){
        *q=p-a;
        q++;
        brojac++;}  }
    return brojac;
}